/* Block > Carousel > Main */
.block-carousel-main .swiper-controls {display:none;}
.block-carousel-main .swiper-pagination {display:none;}
.block-carousel-main .swiper-scrollbar {--swiper-scrollbar-bottom:50px;--swiper-scrollbar-sides-offset:calc( var(--section-padding-x) + ( var(--body-row-gutter-x) * .5 ) );--swiper-scrollbar-size:2px;background-color:rgba(255,255,255,.3);}
.block-carousel-main .swiper-scrollbar .swiper-scrollbar-drag {background-color:var(--color-white);}
.block-carousel-main .swiper-slide .card-bg {height:100vh;min-height:650px;max-height:900px;}
.block-carousel-main .card-overlay::before {display:none;}
.block-carousel-main .card-overlay .card-body {top:unset;bottom:130px;transform:none;padding:0 var(--section-padding-x);font-size:23px;}
.block-carousel-main .section-title h1 {font-size:110px;margin-bottom:20px;}
.block-carousel-main .card-recipe {border:1px solid var(--color-white);border-radius:25px;background-color:rgba(255,255,255,.5);backdrop-filter:blur(10px);margin:0;position:absolute;bottom:130px;right:calc( var(--section-padding-x) + ( var(--body-row-gutter-x) * .5 ) );z-index:9;max-width:400px;padding:20px;}
.block-carousel-main .card-recipe .card-bg {height:125px;border-radius:15px;}
.block-carousel-main .card-recipe .card-body {padding:15px 0 0;color:var(--color-white);}
.block-carousel-main .card-recipe h4 {font-size:29px;font-weight:600;margin-bottom:15px;}
.block-carousel-main .card-recipe .lead {font-size:18px;font-weight:400;margin-bottom:5px;}
.block-carousel-main .card-recipe .text + .btn {margin-top:20px;}
.block-carousel-main .card-recipe .btn-secondary {backdrop-filter:none;}

/* Block > Carousel > Gallery */
.block-carousel-gallery .card-bg {height:250px;}
.block-carousel-gallery .card.is-video .card-bg::after {content:"";position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:50px;height:50px;background-repeat:no-repeat;background-position:center center;background-size:contain;background-image:url(/wp-content/themes/ocean/assets/icons/icon-play.svg); }
.block-carousel-gallery.background-contain .card .card-bg {background-size:contain !important;}

/* Block > Carousel > Taxonomy */
.block-carousel-taxonomy .card-bg {height:350px;}
.block-carousel-taxonomy .card-body {padding:30px;}

/* Block > Carousel > Post type */
.block-carousel-post-type .carousel-container .swiper-pagination {bottom:0 !important;}
.block-carousel-post-type .card {overflow:hidden;border-radius:25px;}
.block-carousel-post-type .card-bg {height:570px;}
.block-carousel-post-type .card-overlay::before {display:none;}
.block-carousel-post-type .card-overlay .card-body {top:unset;bottom:-70px;transform:none;padding:40px;transition:bottom .3s ease-in-out;}
.block-carousel-post-type .card-overlay > .btn {position:absolute;bottom:40px;right:40px;}
.block-carousel-post-type .card .btn {margin-top:15px;opacity:0;transition:all .3s ease-in-out;}
.block-carousel-post-type .card .btn:hover {background-color:rgba(255,255,255,.3);}
.block-carousel-post-type .card:hover .btn {opacity:1;}
.block-carousel-post-type .card:hover .card-overlay .card-body {bottom:0;}
.block-carousel-post-type .card h4 {font-size:42px;font-weight:600;margin-bottom:5px;}

/* Block > Carousel > Slider */
.block-carousel-slider .swiper-wrapper {-webkit-transition-timing-function:linear;-o-transition-timing-function:linear;transition-timing-function:linear;margin: 0 auto;align-items:center;}
.block-carousel-slider .text-label {font-size:20px;text-align:center;}
.block-carousel-slider .slide-separator {width:10px;height:10px;border-radius:100%;background-color:var(--color-primary);display:block;margin:0 auto;}

/* Block > 2 Columns */
.block-2-columns .row {--bs-gutter-y:30px;}
.block-2-columns .row .row {--bs-gutter-y:0;}

/* Section > Image/Text */
.block-2-columns-text-and-image-full-width .block-image {position:absolute;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:50%;background-position:center center;}

/* Block > 2 Columns > Text + Video full width */
.block-2-columns-text-and-video-full-width {display:flex;flex-wrap:wrap;align-items:center;}
.block-2-columns-text-and-video-full-width .block-video {position:absolute;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:50%;background-position:center center;}
.block-2-columns-text-and-video-full-width .block-video .wrap {height:100%;}
.block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {width:100%;height:100%;object-fit:cover;}
.block-2-columns-text-and-video-full-width .block-video.video--right {right:0;left:auto;}
.block-2-columns-text-and-video-full-width .block-video.video--left {left:0;right:auto;}

/* Block > List Taxonomy */
.block-list-taxonomy .content-container .card {border:1px solid var(--color-grey-dark);border-radius:10px;overflow:hidden;background-color:var(--color-white);}

/* Block > List Taxonomy (stile 2) */
.block-list-taxonomy-s2 .content-container .card {border:1px solid var(--color-grey-dark);border-radius:10px;overflow:hidden;background-color:var(--color-white);}

/* Block > List Documents */
.block-list-documents .content-container ul > li > a {display:block;}
.block-list-documents .content-container ul > li + li > a {padding-top:10px;margin-top:10px;border-top:1px solid var(--color-grey-dark);}

/* Block > List Cards */
.block-list-cards .content-container .card-bg {background-size:contain;}

/* Block > Counter */
.block-counter .counter__item {text-align:center;}
.block-counter .counter-head {display:flex;align-items:flex-end;justify-content:center;gap:0;}
.block-counter .counter {font-size:50px;}
.block-counter .counter-text {font-size:50px;}
.block-counter .counter-text small {font-size:20px;margin-left:-5px;}


/* 
------------------------------------------
Responsive 
------------------------------------------
*/

/* Smartphone */
@media only screen and (max-width:767px) and (min-width:320px) {

  /* Block > Carousel > Main */
  .block-carousel-main .swiper-slide .card-bg {height:900px;max-height:unset;}
  .block-carousel-main .card-overlay .card-body {bottom:80px;padding-bottom:420px;font-size:18px;}
  .block-carousel-main .section-title h1 {font-size:37px;}
  .block-carousel-main .swiper-scrollbar {--swiper-scrollbar-bottom:465px;}
  .block-carousel-main .card-recipe {bottom:30px;left:calc( var(--section-padding-x) + ( var(--body-row-gutter-x) * .5 ) );width:auto;}

  /* Section > Image/Text */
  .block-2-columns-text-and-image-full-width .block-image {position:relative;top:unset;width:100%;height:260px;}
  
  /* Block > 2 Columns > Text + Video full width */
  .block-2-columns-text-and-video-full-width .block-video {position:relative;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:100%;height:300px !important;background-position:center center;}	
  .block-2-columns-text-and-video-full-width .block-video.video--right {right:unset;left:unset;}
  .block-2-columns-text-and-video-full-width .block-video.video--left {left:unset;right:unset;}
  .block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {height:300px !important;}

  /* Block > Carousel > Post type */
  .block-carousel-post-type .carousel-container {padding-bottom:65px;}
  .block-carousel-post-type .content-container {margin:0 -15px;}
  .block-carousel-post-type .carousel-container {padding-bottom:45px;}
  .block-carousel-post-type .card {border-radius:20px;}
  .block-carousel-post-type .card-bg {height:320px;}
  .block-carousel-post-type .card-overlay::before {display:block;background-color:rgba(0,0,0,.2);}
  .block-carousel-post-type .card-overlay .card-body {padding:20px;bottom:0 !important;}
  .block-carousel-post-type .card-overlay > .btn {display:none;}
  .block-carousel-post-type .card h4 {font-size:30px;}
  .block-carousel-post-type .card .btn {opacity:1;}

}

/* Smartphone Landscape 
@media only screen and (min-width:480px) and (max-width:767px){
}
*/

/* Tablet */
@media only screen and (min-width:768px) and (max-width:991px) {

  /* Block > Carousel > Main */
  .block-carousel-main .swiper-slide .card-bg {height:900px;max-height:unset;}
  .block-carousel-main .card-overlay .card-body {bottom:80px;padding-bottom:420px;}
  .block-carousel-main .section-title h1 {font-size:80px;}
  .block-carousel-main .swiper-scrollbar {--swiper-scrollbar-bottom:40px;}
  .block-carousel-main .card-recipe {bottom:80px;left:calc( var(--section-padding-x) + ( var(--body-row-gutter-x) * .5 ) );right:unset;}

  /* Block > 2 Columns > Text + Video full width */
  .block-2-columns-text-and-video-full-width .block-video {position:relative;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:100%;height:400px !important;background-position:center center;}	
  .block-2-columns-text-and-video-full-width .block-video.video--right {right:unset;left:unset;}
  .block-2-columns-text-and-video-full-width .block-video.video--left {left:unset;right:unset;}
  .block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {height:400px!important;}

  /* Block > Carousel > Post type */
  .block-carousel-post-type .carousel-container {padding-bottom:65px;}
  .block-carousel-post-type .card-bg {height:350px;}
  .block-carousel-post-type .card-overlay::before {display:block;background-color:rgba(0,0,0,.2);}
  .block-carousel-post-type .card-overlay .card-body {padding:30px;bottom:0 !important;}
  .block-carousel-post-type .card-overlay > .btn {display:none;}
  .block-carousel-post-type .card h4 {font-size:30px;}
  .block-carousel-post-type .card .btn {opacity:1;}

}

/* Tablet Landscape */
@media only screen and (min-width:992px) and (max-width:1199px) {

  /* Block > Carousel > Main */
  .block-carousel-main .section-title h1 {font-size:80px;}

  /* Block > Carousel > Post type */
  .block-carousel-post-type .carousel-container {padding-bottom:65px;}
  .block-carousel-post-type .card-bg {height:490px;}
  .block-carousel-post-type .card-overlay .card-body {padding:30px;}
  .block-carousel-post-type .card-overlay > .btn {right:30px;bottom:30px;}

}

/* Laptop 13' - 1366x768 Non-Retina */
@media only screen and (min-width:1200px) and (max-width:1366px) {

  /* Block > Carousel > Main */
  .block-carousel-main .section-title h1 {font-size:80px;}

  /* Block > Carousel > Post type */
  .block-carousel-post-type .card-bg {height:490px;}

}

/* Laptop 4:3 - 1440x1080 */
@media only screen and (min-width:1367px) and (max-width:1440px) {
}